$('#txtClienteGenericoCSV').autocompleta(1, `JSON={"tabela":"CLASSE_GER", "camposSelect":[ "CODIGO CHAVE", "DESCRICAO DESCRICAO"], "where": null}`);
$('#btnClienteGenericoCSV').pesquisa('#txtClienteGenericoCSV', 'CODIGO', 'DESCRICAO', `/sisplan/funcoes/v1/pesquisa?JSON={ "tabela":"CLASSE_GER", "camposSelect":[ "CODIGO", "DESCRICAO"]}`, 'Pesquisa Classe Gerencial', 'CLASSE_GER');
$('#btnLimpaClienteGenericoCSV').on('click', function () {
  $('#txtClienteGenericoCSV').val('');
});

$('#txtBancoGenericoCSV').autocompleta(1, `JSON={"tabela":"CLASSE_GER", "camposSelect":[ "CODIGO CHAVE", "DESCRICAO DESCRICAO"], "where": null}`);
$('#btnBancoGenericoCSV').pesquisa('#txtBancoGenericoCSV', 'CODIGO', 'DESCRICAO', `/sisplan/funcoes/v1/pesquisa?JSON={ "tabela":"CLASSE_GER", "camposSelect":[ "CODIGO", "DESCRICAO"]}`, 'Pesquisa Classe Gerencial', 'CLASSE_GER');
$('#btnLimpaBancoGenericoCSV').on('click', function () {
  $('#txtBancoGenericoCSV').val('');
});

$('#txtContaGenericoCSV').autocompleta(1, `JSON={"tabela":"CLASSE_GER", "camposSelect":[ "CODIGO CHAVE", "DESCRICAO DESCRICAO"], "where": null}`);
$('#btnContaGenericoCSV').pesquisa('#txtContaGenericoCSV', 'CODIGO', 'DESCRICAO', `/sisplan/funcoes/v1/pesquisa?JSON={ "tabela":"CLASSE_GER", "camposSelect":[ "CODIGO", "DESCRICAO"]}`, 'Pesquisa Classe Gerencial', 'CLASSE_GER');
$('#btnLimpaContaGenericoCSV').on('click', function () {
  $('#txtContaGenericoCSV').val('');
});

$('#txtClasseBaixaGenericoCSV').autocompleta(1, `JSON={"tabela":"HISTCP", "camposSelect":[ "HISTORICO CHAVE", "DESCRICAO DESCRICAO"], "where": null}`);
$('#btnClasseBaixaGenericoCSV').pesquisa_serverside(['#txtClasseBaixaGenericoCSV'], ['HISTORICO'], ['DESCRICAO'], '{"tabela":"HISTCP", "camposSelect":[ "HISTORICO", "DESCRICAO"], "where": null}', 'Pesquisa de Histórico');
$('#btnLimpaClasseBaixaGenericoCSV').on('click', function () {
  $('#txtClasseBaixaGenericoCSV').val('');
});

$('#txtClasseDespesaGenericoCSV').autocompleta(1, `JSON={"tabela":"HISTCP", "camposSelect":[ "HISTORICO CHAVE", "DESCRICAO DESCRICAO"], "where": null}`);
$('#btnClasseDespesaGenericoCSV').pesquisa_serverside(['#txtClasseDespesaGenericoCSV'], ['HISTORICO'], ['DESCRICAO'], '{"tabela":"HISTCP", "camposSelect":[ "HISTORICO", "DESCRICAO"], "where": null}', 'Pesquisa de Histórico');
$('#btnLimpaClasseDespesaGenericoCSV').on('click', function () {
  $('#txtClasseDespesaGenericoCSV').val('');
});

$('#txtHistoricoGenericoCSV').autocompleta(1, `JSON={"tabela":"HISTCP", "camposSelect":[ "HISTORICO CHAVE", "DESCRICAO DESCRICAO"], "where": null}`);
$('#btnHistoricoGenericoCSV').pesquisa_serverside(['#txtHistóricoGenericoCSV'], ['HISTORICO'], ['DESCRICAO'], '{"tabela":"HISTCP", "camposSelect":[ "HISTORICO", "DESCRICAO"], "where": null}', 'Pesquisa de Histórico');
$('#btnLimpaHistóricoGenericoCSV').on('click', function () {
  $('#txtHistóricoGenericoCSV').val('');
});

async function validaConfirmacao() {
  if (!$('#txtClasseBaixaGenericoCSV').val() || !await Existe('CLASSE_GER', ['CODIGO'], [$('#txtClasseBaixaGenericoCSV').val()])) {
    throw msgAlerta('Classe/Baixa não informado ou inválido!');
  }
  if (!$('#txtHistoricoGenericoCSV').val() || !await Existe('HISTORICO', ['HISTCP'], [$('#txtHistoricoGenericoCSV').val()])) {
  }
  throw msgAlerta('Histórico não informado ou inválido!');
}

$('#btnVerBaixasGenericoCSV').on('click', async function () {
  if (!$('#txtArquivo').val()) {
    throw msgAlerta('Nenhum arquivo inserido no campo caminho, impossível visualizar as baixas!');
  }
  await verBaixasGenericoCSV();
});

async function verBaixasGenericoCSV() {
  $.LoadingOverlay('show');
  try {
    const dados = $('#conteudoFormatado').val();
    const body = {
      Xlxs: dados
    }

    let response = await requisicao('POST', '/sisplan/escretorno/V1/buscabaixasgenericoCSV?', '', `${JSON.stringify(body)}`, 50000);

    if (!response) {
      return;
    }

    let jsonStr = await response.json();

    // dataSetColsGenericoCSV[0].render = function (data, type, row, meta) {
    //   let checked = true;
    //   let bloqueia = false;

    //   if (row.sel == 'S' && row.deixaSel == 'N') {
    //     checked = false;
    //     bloqueia = true;
    //   }
    //   if (row.sel = 'S' && row.naoSeleciona == 'N') {
    //     checked = false;
    //     bloqueia = true;
    //   }
    //   let disabledAttribute = bloqueia ? 'disabled' : '';
    //   return `<div class="icheck-danger d-inline">
    //               <input type="checkbox" ${disabledAttribute} ${checked ? 'checked' : ''} id="check_col_${meta.row}_row_${meta.col}" class="campoConsulta">
    //               <label for="check_col_${meta.row}_row_${meta.col}"></label>
    //           </div>`
    // }

    // $('#tabelaGenericoCSV').DataTable({
    //   paging: false,
    //   filter: false,
    //   info: false,
    //   length: false,
    //   order: false,
    //   destroy: true,
    //   language: {
    //     sEmptyTable: 'Nenhum registro encontrado',
    //     sInfo: '_TOTAL_ registros',
    //     sInfoEmpty: ' 0 registros',
    //     sInfoFiltered: '(Filtrados de _MAX_ registros)',
    //     sInfoPostFix: '',
    //     sInfoThousands: '.',
    //     sLengthMenu: '_MENU_ resultados',
    //     sLoadingRecords: 'Carregando...',
    //     sProcessing: 'Processando...',
    //     sZeroRecords: 'Nenhum registro encontrado',
    //     sSearch: 'Pesquisar',
    //     oPaginate: {
    //       sNext: 'Próximo',
    //       sPrevious: 'Anterior',
    //       sFirst: 'Primeiro',
    //       sLast: 'Último',
    //     },
    //     oAria: {
    //       sSortAscending: ': Ordenar colunas de forma ascendente',
    //       sSortDescending: ': Ordenar colunas de forma descendente',
    //     },
    //   },
    //   data: jsonStr,
    //   columns: dataSetColsGenericoCSV,
    //   columnDefs: [{
    //     targets: [5, 6, 7],
    //     render: function (data, type, row) {
    //       if (type === 'display' || type === 'filter') {
    //         var date = new Date(data);
    //         var dia = date.getDate();
    //         var mes = date.getMonth() + 1;
    //         var ano = date.getFullYear();
    //         if (dia < 10) {
    //           dia = '0' + dia;
    //         }
    //         if (mes < 10) {
    //           mes = '0' + mes;
    //         }
    //         return dia + '/' + mes + '/' + ano;
    //       } else {
    //         return data;
    //       }
    //     },
    //   }],
    //   rowCallback: async function (row, data) {
    //     await preencheGenericoCSVResumido(data.safraResumido)
    //     if (data.tipoDuplicata == 'AGRU' || data.tipoDuplicata == 'DESD') {
    //       $(row).css('background-color', '#f7a156');
    //       $(row).css('color', '#2c2f28');
    //       if ($('#squareDesdAgrup').hasClass('d-none')) {
    //         $('#squareDesdAgrup').removeClass('d-none');
    //       }
    //     }
    //     else if ((data.taxa > 0) && ((((data.modalidade == 'CRAV') || (data.modalidade == 'DBAV')) && (!(data.previsao == '')) && (data.taxa != data.taxaRec)) || ((!(data.modalidade == 'CRAV') && !(data.modalidade == 'DBAV')) && (data.taxaRec > 0) && (data.taxa != data.taxaRec)))) {
    //       $(row).css('background-color', '#fdfd96');
    //       $(row).css('color', '#2c2f28');
    //     } else if (data.numero !== '' && data.saldo === 0) {
    //       $(row).css('background-color', 'seagreen');
    //       $(row).css('color', '#ecfdff');
    //     }
    //   }
    // });

    // $('.campoSel').on('change', function () {
    //   if (this.checked) {
    //     $(this).addClass('selecionado');
    //   } else {
    //     $(this).removeClass('selecionado');
    //   }
    // });

  } catch (error) {
    console.log(error)
  } finally {
    $.LoadingOverlay('hide');
  }
}